fedora 4下面安装apache+php5无法启动

今天在fedora 4下面安装按常规步骤安装apache+php5,无法启动。

输入apacheclt start后显示:

modules/libphp5.so: cannot restore segment prot after reloc: Permission denied

google之,找到了原因:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=153146

That error is from selinux which was apparently supposed to be fixed to complain
like that (rh#147806#). Though the real problem is that libicudata is supposed
to be compiled with -fpic, which was also supposed to be fixed. I see now that
the upsteam patch is b0rked.

原来是selinux安装包惹的祸,升级后apache正常启动:
yum update selinux-policy-targeted

One Reply to “fedora 4下面安装apache+php5无法启动”

Leave a Reply

Your email address will not be published.